/*
		Copyright (c) MyCorporation, Inc., 1999.
                  All Rights Reserved.

Filename: MyView.h
Author:   me
Date:	  Mar 15, 1998

$Id: MyObject.h,v 1.1 1998/03/15 19:22:00 me Exp $
 $Log: MyObject.h,v $
*/

#import "MyFooProtocol.h"

/*" Constants that define useful colors. "*/
# define MY_DEFAULTCOLOR			[NSColor greenColor]
# define MY_OTHERGOODCOLOR			[NSColor blueColor]

/*" Macros that %really help #me calculate things. "*/
#define MY_IS_ONE(x)                (x == 1)
#define MY_IS_TWO(x)                (x == 2)

/*" A handy typedef for color information "*/
typedef enum {
	FCRed = 4,
	FCBlue = 5
} MYFavoriteColors;

/*" Yecchy function typedef construct "*/
typedef NSRect	(*UglyRectFunc)(NSRect);

/*" Color testing function "*/
extern BOOL			MYColorIsValid(NSColor *aColor);

extern NSColor		*MYCurrentGlobalColor;

/*" A handy, efficient inline function "*/
static inline BOOL MYColorIsCurrentGlobalColor(NSColor *aColor)
{
	return aColor == MYCurrentGlobalColor;
}

@interface MyView : NSView <MyFooProtocol> /*" NSResponder : NSObject "*/
{
	NSColor		*backgroundColor;	/*" The color used to display the 
										background of %my view. "*/
}

/*" Determining the color "*/
- (void)setBackgroundColor:(NSColor *)aColor;
- (NSColor *)backgroundColor;

/*" Querying foo and bar "*/
- (int)foo;
- (int)bar;

/*" Displaying "*/
- (void)drawRect:(NSRect)rect;

@end
